#ifndef ACTIONS_H_INCLUDED
#define ACTIONS_H_INCLUDED

#include "gamestatus.hpp"
#include "map.hpp"
#include "unit.hpp"
#include "unit_types.hpp"

#include <map>
#include <string>

std::string recruit_unit(const gamemap& map, int team,
                         std::map<gamemap::location,unit>& units,
						 const unit_type& type);

std::string attack(const gamemap& map,
                   const gamemap::location& attacker,
                   const gamemap::location& defender,
				   int attack_with,
				   std::map<gamemap::location,unit>& units,
				   const gamestatus& state,
				   const game_data& info);

void get_tower(const gamemap::location& loc, std::vector<team>& teams,
               int team_num);
				   

#endif
