#ifndef AI_HPP_INCLUDED
#define AI_HPP_INCLUDED

#include "display.hpp"
#include "map.hpp"
#include "unit.hpp"
#include "unit_types.hpp"

#include <map>

namespace ai {
void do_move(display& disp, const gamemap& map, const game_data& gameinfo,
             std::map<gamemap::location,unit>& units,
             std::vector<team>& teams, int team_num, const gamestatus& state);
}

#endif
