#ifndef GAME_STATUS_HPP_INCLUDED
#define GAME_STATUS_HPP_INCLUDED

#include "unit.hpp"
#include "unit_types.hpp"

class gamestatus
{
public:
	gamestatus(int num_turns);
	enum TIME { DAWN, DAY, DUSK, NIGHT, NUM_TIMES };

	static const std::string& timeofdayDescription(TIME t);
	TIME timeofday() const;
	int turn() const;
	int number_of_turns() const;

	bool next_turn();

	double combat_modifier(unit_type::ALIGNMENT alignment) const;
	
private:
	TIME timeofday_;
	int turn_;
	int numTurns_;
};

#endif
