#ifndef CONFIG_HPP_INCLUDED
#define CONFIG_HPP_INCLUDED

#include <map>
#include <string>
#include <vector>

std::string read_file(const std::string& fname);

struct config
{
	config() {}
	config(const std::string& data);
	~config();

	void read(const std::string& data);
	std::string write() const;
	
	std::map<std::string,std::string> values;
	std::map<std::string,std::vector<config*> > children;

private:
	void cleanup();
};

#endif
