#ifndef PATHFIND_H_INCLUDED
#define PATHFIND_H_INCLUDED

#include "map.hpp"
#include "unit.hpp"
#include "unit_types.hpp"

#include <map>
#include <vector>

void get_adjacent_tiles(const gamemap::location& a, gamemap::location* res);

struct paths
{
	paths() {}
	paths(const gamemap& map, const game_data& gamedata,
	      const std::map<gamemap::location,unit>& units,
	      const gamemap::location& loc);

	struct route
	{
		route() : move_left(0) {}
		std::vector<gamemap::location> steps;
		int move_left;
	};
	
	std::map<gamemap::location,route> routes;
};

#endif
